Bug 32338 - i815 not working properly with xfree 4.0.3
i815 not working properly with xfree 4.0.3
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
: 44036 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-19 18:34 EST by Abel Hernandez Zanatta
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-08 20:25:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested Config file (1.63 KB, text/plain)
2001-04-02 13:42 EDT, Abel Hernandez Zanatta
no flags Details
Requested File (21.21 KB, text/plain)
2001-04-02 13:44 EDT, Abel Hernandez Zanatta
no flags Details

  None (edit)
Description Abel Hernandez Zanatta 2001-03-19 18:34:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-0.1.25 i686)


I upgraded to the latest xfree 4.0.3 but with no luck....  and I have
the latest kernel from the rawhide I guess...  2.4.2-0.1.25 and my intel
815 chip it isn't working well...  if I want to use a depth color of 16
or 24 bits with xfree it's almost unusable...  the screen glitches every
2 seconds....
Maybe the agpgart module shipped with the kernel it isn't working
well....  I don know...

I keep receiving this error:

(II) Module ramdac: vendor="The XFree86 Project"
 compiled for 4.0.3, module version = 0.1.0
 ABI class: XFree86 Video Driver, version 0.3
Symbol VBEInit from module /usr/X11R6/lib/modules/drivers/i810_drv.o is
unresolved!
Symbol vbeDoEDID from module /usr/X11R6/lib/modules/drivers/i810_drv.o
is unresolved!

and this one too:

(WW) I810(0): xf86AllocateGARTMemory: allocation of 1024 pages failed
 (Cannot allocate memory)

But it seems that the agpgart modules is ok:

[root@ibm300 log]# lsmod
Module                  Size  Used by
i810                   80288   0
ide-cd                 26848   0  (autoclean)
cdrom                  27232   0  (autoclean) [ide-cd]
3c59x                  25344   1  (autoclean)
ipchains               38848   0  (unused)
agpgart                23360   5
iforce                  2896   0  (unused)
serio                   1024   0  [iforce]
input                   3488   0  [iforce]
usb-uhci               20528   0  (unused)
usbcore                49440   1  [iforce usb-uhci]

root@ibm300 log]# free
             total       used       free     shared    buffers
cached
Mem:        120140     118096       2044          0       5116
73600
-/+ buffers/cache:      39380      80760
Swap:       136512      15164     121348


I have 128M of RAM, and it looks that the agpgart modules is reserving
8M....

Any idea...?











Reproducible: Always
Steps to Reproduce:
1.Use Xconfigurator
2.Set any resolution with 16 o 24 bit color depth
3.Start Xfree
	

Actual Results:  The screen glitches every 2 seconds and Xfree is almost
unusable

Expected Results:  A normal screen where I can see what I'm doing

I keep receiving this error:

(II) Module ramdac: vendor="The XFree86 Project"
 compiled for 4.0.3, module version = 0.1.0
 ABI class: XFree86 Video Driver, version 0.3
Symbol VBEInit from module /usr/X11R6/lib/modules/drivers/i810_drv.o is
unresolved!
Symbol vbeDoEDID from module /usr/X11R6/lib/modules/drivers/i810_drv.o
is unresolved!

and this one too:

(WW) I810(0): xf86AllocateGARTMemory: allocation of 1024 pages failed
 (Cannot allocate memory)
Comment 1 Preston Brown 2001-03-20 17:32:48 EST

*** This bug has been marked as a duplicate of 32302 ***
Comment 2 Mike A. Harris 2001-03-27 15:02:11 EST
Reopening..  Closer investigation of this problem compared with the bug
it was marked duplicate of indicates they are not duplicates after all.
Comment 3 Mike A. Harris 2001-03-27 15:04:09 EST
Please attach your full X server logs that show these errors, as well as
the XF86Config-4 file used via the file attach link below.
Comment 4 Abel Hernandez Zanatta 2001-04-02 13:42:34 EDT
Created attachment 14446 [details]
Requested Config file
Comment 5 Abel Hernandez Zanatta 2001-04-02 13:44:31 EDT
Created attachment 14447 [details]
Requested File
Comment 6 Mike A. Harris 2001-06-12 03:14:13 EDT
*** Bug 44036 has been marked as a duplicate of this bug. ***
Comment 7 Abel Hernandez Zanatta 2001-06-12 09:28:36 EDT
Just for the record....
I upgraded to the latest kernel from rawhide 2.4.5-0.2.9 and the latest XFree
4.1.0-0
And I have exactly the same problem again....
Comment 8 Abel Hernandez Zanatta 2001-06-13 09:06:57 EDT
Well my problem with the i815 was with an IBM Netvista 6578....
Yesterday when I saw bug #44036 which has been marked duplicated with this one I
realized that maybe my problem was with my computer bios...
I changed all the posible configurations of the video related options and
nothing happens... exactly the same problem...
So I went to the IBM site to look for a bios upgrade...  I got the upgrade,
applied the new bios and voila!!!
The XFree is working perfect now...  I can use all the resolutions and colors
with no glitches and everything look really fine!!
With the XFree 4.1.0 the unresolved symbol problem is gone...  But I keep
receiving the same Warning about the allocated memory...

 (WW) I810(0): xf86AllocateGARTMemory: allocation of 1024 pages failed
  (Cannot allocate memory)

I don't know how important is this error since my configuration is working fine
right now, but at least I guess that you can close this case.

Regards
Comment 9 Mike A. Harris 2001-06-13 12:56:05 EDT
Do you have a device file /dev/agpgart on your system?
If so, what are the perms on it?
Comment 10 Abel Hernandez Zanatta 2001-06-13 14:13:49 EDT
Yes I have it,
here is the info:
crw-r--r--    1 root     root      10, 175 Mar 23 22:37 agpgart
Comment 11 Mike Vanecek 2001-06-16 21:39:49 EDT
Keep in mind that my system is an i810 with an Award Bios which has several 
differences compared to the i815. I have read everything at:

http://www.redhat.com/support/docs/tips/i810.html

http://isearch.intel.com/scripts-search/search.asp?
isoCode=en&q1=i810&SearchCrit=ALL&category=ALL&mh=25&MimeType=ALL

http://support.intel.com/support/graphics/intel810/release_notes_1.htm

and found nothing relative to RH 7.1. I am not sure this is duplicate of 44036. 
My system has gotten to the point of being so unstable that I am thinking about 
reinstalling RH 7.1. The CMOS memory problem does not exist on my system. If 
you know of specific settings that have solved the problem, please post them 
and I will try them. Supposedly RH 7.1 incorporated the driver information that 
Intel provided for RH 6.2. modprobe agpgart makes no difference. I have tried 
Xconfigurator with --nodri to turn off rendering - no difference. I assume that 
is what you meant? I still get several rendering errors upon exiting KDE. You 
said, This means no AA fonts in KDE also, so make sure AA fonts are +disabled." 
How exactly do I do that?  If I rebuild, do you have any recommendation for the 
configuration? This system is so unstable that I do not use it for anything 
other than trying to find a way to make work. Would RH like to borrow it for a 
while and see if they can get it work??


Comment 12 Mike Vanecek 2001-06-17 09:30:24 EDT
I have reviewed the settings in CMOS and XF config. Everything looks correct 
and clean. I updated the files at www.mm-vanecek.cc so that they focus on the 
problems I am having. I believe the following summary pretty well documents 
what I am seeing on my system. I am not sure they are related, but thought I 
would post them anyway. I did not list the symbol problem since that has been 
resolved (would that problem cause any of the others?).

See www.mm-vanecek.cc for more info.

This file snips out the errors noted in the XF89 logs and the message logs.

XF logs:

ERROR 1:

(WW) I810(0): xf86AllocateGARTMemory: allocation of 1024 pages failed
	(Cannot allocate memory)
(II) I810(0): No physical memory available for 4194304 bytes of DCACHE
(II) I810(0): Adding 512 scanlines for pixmap caching
(II) I810(0): Allocated Scratch Memory

Note that rendering is disabled:

(II) I810(0): direct rendering: Disabled


ERROR 2:
What opcodes are failing and why does the Xlib have errors?

X Error of failed request:  86
  Major opcode of failed request:  51 (X_SetFontPath)
  Serial number of failed request:  9
  Current serial number in output stream:  11
Xlib:  extension "RENDER" missing on display ":0.0".
DCOPServer up and running.
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
QSocketNotifier: Multiple socket notifiers for same socket 6 and type read
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Double QObject deletion detected.
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  7 (X_ReparentWindow)
  Resource id in failed request:  0x1400011
  Serial number of failed request:  9220
  Current serial number in output stream:  9546

messages logs:


ERROR 3:
What is wrong with rpc.statd?

Jun 17 06:28:10 www rpc.statd[618]: gethostbyname error for 
^Xw?^Xw?^Yw?^Yw?^Zw?^Zw?^
[w?^[w?%8x%8x%8x%8x%8x%8x%8x%8x%8x%236x%n%137x%n%10x%n%192x%n\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220

NO ERROR:

No errors from agpgart:
Jun 17 07:45:23 www kernel: Linux agpgart interface v0.99 (c) Jeff Hartmann
Jun 17 07:45:23 www kernel: agpgart: Maximum main memory to use for agp 
memory: 93M
Jun 17 07:45:23 www kernel: agpgart: Detected an Intel i810 Chipset.
Jun 17 07:45:23 www kernel: agpgart: AGP aperture is 64M @ 0xe0000000

ERROR 4:
char-major-81 errors:

Jun 17 07:45:23 www modprobe: modprobe: Can't locate module char-major-81

ERROR 5:
Get this a lot - what process needs /misc/.directory and cannot mount it?

Jun 17 07:46:25 www automount[758]: attempting to mount entry /misc/.directory
Jun 17 07:46:25 www automount[7665]: lookup(file): lookup for .directory failed


Comment 13 Mike A. Harris 2002-01-25 03:45:42 EST
You need to enable AGP support in your BIOS, and set an AGP aperture
size that is reasonable.  I recommend 32Mb or 64Mb aperture.  You
need to set your AGP speed to 1x or 2x or whatever your board supports.
Also, i810/i815 onboard video uses the RAM on your motherboard for
video RAM.  You need to make sure you configure enough RAM for the
card to be usefully functional.

I recommend you also upgrade to our latest official kernel erratum for
Red Hat Linux 7.1 or 7.2 (depending on what you use currently) and also
our latest XFree86 4.1.0-15 erratum.

After trying these things, please update the report with your latest info.
Comment 14 Mike A. Harris 2002-02-08 20:25:15 EST
Bugzilla.mtv@no-spams.net - The message you see logged above which
contains:

Jun 17 06:28:10 www rpc.statd[618]: gethostbyname error for 
^Xw?^Xw?^Yw?^Yw?^Zw?^Zw?^
[w?^[w?%8x%8x%8x%8x%8x%8x%8x%8x%8x%236x%n%137x%n%10x%n%192x%n\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220
\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220

Is someone trying to remotely exploit the rpc.statd service with
a buffer overflow in an attempt to gain access remotely to your
system.  I recommend making sure that your system is kept up to date
with the latest official Red Hat Linux updates using the up2date
utility, and that you disable any unnecessary services also.

This just caught my eye, so I thought I'd warn you, even though it's a bit
late now...
Comment 15 Mike A. Harris 2002-02-08 20:27:42 EST
azanatta@isssspea.gob.mx - I've had reports of successful i810 and
i815 usage from many users whom had trouble with 4.0.3 when upgrading
to our current erratum release of XFree86-4.1.0 with our updated
Mesa, kernel, and other dependant requirements.  I'm closing the
bug as fixed in ERRATA release.  If you continue to have trouble
for some reason after upgrading, please reopen the bug report and
provide updated troubleshooting details.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.